Bug 1270234 - [QE] (6.1.z) Business central REST : start process instance with correlation key issue
[QE] (6.1.z) Business central REST : start process instance with correlation ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: CR2
: 6.1.0
Assigned To: Maciej Swiderski
Karel Suta
:
Depends On:
Blocks: 1259382
  Show dependency treegraph
 
Reported: 2015-10-09 06:43 EDT by Karel Suta
Modified: 2015-10-26 09:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (7.70 KB, text/plain)
2015-10-09 06:43 EDT, Karel Suta
no flags Details

  None (edit)
Description Karel Suta 2015-10-09 06:43:03 EDT
Created attachment 1081267 [details]
stacktrace

Description of problem:

If I try to start process with correlation key I get exception listed in attachment. This issue was already solved for 6.2 by commit [1].

This issue happens just when using EAP version 6.4.3 as it is last supported version of EAP 6.4.
This EAP version has newer version of hibernate dependencies which cause issue listed in attachment.



Version-Release number of selected component (if applicable):
EAP 6.4.3, BPMS 6.1.4

How reproducible:
Deploy business central 6.1.4 on EAP 6.4.3. Try to start process with correlation key using REST.

Steps to Reproduce:
1.
2.
3.

Actual results:
Process is started.

Expected results:
Exception is thrown.


[1] https://github.com/droolsjbpm/jbpm/commit/52ed692129ec00781d91d2fb91657f7588e90522
Comment 4 Maciej Swiderski 2015-10-14 11:47:22 EDT
backported to 6.2.x branch

jbpm
6.2.x:
https://github.com/droolsjbpm/jbpm/commit/eaba585110bf1c54a94ff53c561fe0698bbd4655
Comment 6 Karel Suta 2015-10-20 06:25:16 EDT
Verified in 6.1.4CR2.

Note You need to log in before you can comment on or make changes to this bug.